@use "../theme";

.search-field {
    position: relative;

    @media only screen and (min-width: theme.$sm) {
        width: 500px;
    }

    input {
        padding-left: theme.$spacing08;

        &:focus {
            padding-left: calc(theme.$spacing08 - 1px);
        }
    }

    svg {
        height: 1rem;
        left: 1rem;
        position: absolute;
        top: 17px;
        width: 1rem;
    }
}
